/****************************************************************************
 ****************************************************************************

                        Datenkomprimierung

 ****************************************************************************
 ****************************************************************************

        DEFINITIONSDATEI          COMPRESS.H

        ABATRON AG                6221 RICKENBACH
        ENTWICKLER                Ph.Simon
        DATUM                     24.05.1995


 ****************************************************************************
 *      Beschreibung :                                                      *
 ****************************************************************************



 ****************************************************************************/

#ifndef COMPRESS_INCLUDED
#define COMPRESS_INCLUDED


/***** CONSTANTS ************************************************************/

/***** TYPEDEFS *************************************************************/


/****************************************************************************
 ****************************************************************************

    LZA_Compress :

    Komprimiert einen Block ASCII-Zeichen.

    INPUT  : inCount    Anzahl zu komprimierende Zeichen
             inData     Zeiger auf den zu komprimierenden Zeichenblock
    OUTPUT : outData    Zeiger auf den Buffer mit den komprimierten Daten
             RETURN     Laenge des komprimierten Buffer in Bytes.

 ****************************************************************************/

int LZA_Compress(int inCount, unsigned char *inData, unsigned char *outData);


/****************************************************************************
 ****************************************************************************

    LZA_CompressInit :

    Initialisiert die Datenkomprimierungs Tabellen.

    INPUT  : -
    OUTPUT : -

 ****************************************************************************/

void LZA_CompressInit(void);

#endif
